<?php

/* CREATING NEW THUMBNAIL SIZES */
add_image_size('square_500', 500, 500, true);
add_image_size('square_400', 400, 400);
add_image_size('square_500_alt', 500, 500, array('bottom','right'));

add_filter('image_size_names_choose', 'my_sizes');

function my_sizes($sizes) {
	return array_merge($sizes, array(
		'square_500'=>__('500px Square'),
		'square_400'=>__('400px Square'),
		'square_500_alt'=>__('Alternate 500px Square'),
	));	
}


/* IN TEMPLATE TAGS.PHP FILE */

the_post_thumbnail('square_400');

?>